Bug 139567 - GTK3: Sidebar: incorrect extra field in Line Spacing Control
Summary: GTK3: Sidebar: incorrect extra field in Line Spacing Control
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0.2 target:7.2.0 target:7.0.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-01-12 15:31 UTC by Xisco Faulí
Modified: 2021-01-14 09:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (134.23 KB, image/png)
2021-01-12 15:31 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-01-12 15:31:37 UTC
Created attachment 168839 [details]
screenshot

Steps to reproduce:
1. Open Writer
2. Sidebar - Properties
3. Set Line Spacing

There is an extra field with value 0.20″

Reproduced in

Version: 7.2.0.0.alpha0+
Build ID: 5adc93a9a9426ef79054751be2904896f787a8a2
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2021-01-12 15:33:06 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=006f4caf543d6d6ce5f069b2af8c2ba982dcfb62

author	Caolán McNamara <caolanm@redhat.com>	2020-01-07 14:08:57 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2020-01-09 13:24:12 +0100
commit	006f4caf543d6d6ce5f069b2af8c2ba982dcfb62 (patch)
tree	922eca559917947778a8488d66e0f92cca182306
parent	1f1de88b3acb388082f689229d487956bd5050b0 (diff)
weld ParaPropertyPanel

Bisected with: bibisect-linux64-7.0

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2021-01-13 17:10:29 UTC
oddly this doesn't happen for me under wayland but I do see it under X
Comment 3 Commit Notification 2021-01-14 07:38:50 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/ba75b766a619d0ad5cf1a127433eee9de564a03c

tdf#139567 set no-show-all to True

It will be available in 7.1.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-01-14 09:09:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0a675cf23d042c5887532af8472ba5b4d82c5847

tdf#139567 set no-show-all to True

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2021-01-14 09:11:37 UTC
backport to 7-0 in gerrit
Comment 6 Commit Notification 2021-01-14 09:12:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/dad3c73f23028371df31aa72d8015296376f0e90

tdf#139567 set no-show-all to True

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.